cURL
curl "https://api.phrase.com/v2/projects/:project_id/keys/:key_id/comments?branch=my-feature-branch&filters=unread&query=something&locale_ids=someId&order=desc" \
-u USERNAME_OR_ACCESS_TOKEN \
-X GET \
-H 'Content-Type: application/json'phrase comments list \
--project_id <project_id> \
--key_id <key_id> \
--branch "my-feature-branch" \
--filters unread \
--order desc \
--query "Some comment content" \
--locale_ids someId \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/keys/{key_id}/comments"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/keys/{key_id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"message": "Some message...",
"has_replies": true,
"user": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe"
},
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"locales": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
]
}
]Comments
List comments
List all comments for a key.
GET
/
projects
/
{project_id}
/
keys
/
{key_id}
/
comments
cURL
curl "https://api.phrase.com/v2/projects/:project_id/keys/:key_id/comments?branch=my-feature-branch&filters=unread&query=something&locale_ids=someId&order=desc" \
-u USERNAME_OR_ACCESS_TOKEN \
-X GET \
-H 'Content-Type: application/json'phrase comments list \
--project_id <project_id> \
--key_id <key_id> \
--branch "my-feature-branch" \
--filters unread \
--order desc \
--query "Some comment content" \
--locale_ids someId \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/keys/{key_id}/comments"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/keys/{key_id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"message": "Some message...",
"has_replies": true,
"user": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe"
},
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"locales": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
]
}
]Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Query Parameters
Page number
Limit on the number of objects to be returned, between 1 and 100. 25 by default
specify the branch to use
Search query for comment messages
Search comments by their assigned locales
Specify the filter for the comments. Supported values are read and unread. Combine both to return all comments (read + unread) without filtering.
Available options:
read, unread Example:
["read", "unread"]
Order direction. Defaults to desc. Values other than asc and desc fall back to desc.
Available options:
asc, desc Response
OK
Show child attributes
Show child attributes
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "johndoe",
"name": "John Doe",
"gravatar_uid": "205e460b479e2e5b48aec07710c08d50"
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?